aWhere Manual
DevelopAPIcore-services

Groups

Groups of users.

Create a group

PUT
/api/group

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Request Body

application/json
  1. body
name?string

The name.

description?string

A description.

members?array<unknown>

The members: an array of { member, role }.

organization?string

The organization.

parent?string

The id of the folder.

props?

The properties of the thing, by kind.

extendedProps?

Properties that Apps add, kept as they are.

Response Body

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/group" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "description": "string",  "members": []}'
"string"

Delete groups

PUT
/api/group/delete

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Request Body

application/json
  1. body
ids?array<unknown>

The ids of the Items, as an array.

Response Body

The answer.

application/json
  1. response

The id.

curl -X PUT "https://platform.example.com/api/group/delete" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "ids": []}'
"string"

List groups

GET
/api/group/explore

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Query Parameters

keyword?unknown

Words to look for.

skip?unknown

How many to skip.

limit?unknown

How many to return.

sortBy?unknown
sortOrder?unknown

Response Body

The answer.

application/json
  1. response
total?integer
data?array<unknown>
curl -X GET "https://platform.example.com/api/group/explore" \  -H "Authorization: Bearer $TOKEN"
{  "total": 0,  "data": [    null  ]}

Move groups

PUT
/api/group/move

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Request Body

application/json
  1. body
ids*array<unknown>

The ids of the Items, as an array.

parent?string

The id of the folder.

Response Body

The answer.

application/json
  1. response

The ids.

[index: integer]?string
curl -X PUT "https://platform.example.com/api/group/move" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "ids": []}'
[  "string"]

Read a group

GET
/api/group/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the group.

Response Body

The group.

application/json
  1. response
_id*string
name*string
description?string
parent?unknown
thumbnail?string
owner?unknown
members?array<unknown>
deletable?unknown
Defaulttrue
props?unknown
extendedProps?unknown
createdAt?unknown
createdBy?unknown
updatedAt?unknown
updatedBy?unknown
curl -X GET "https://platform.example.com/api/group/$ID" \  -H "Authorization: Bearer $TOKEN"
{  "_id": "string",  "name": "string",  "description": "string",  "parent": null,  "thumbnail": "string",  "owner": null,  "members": [    null  ],  "deletable": true,  "props": null,  "extendedProps": null,  "createdAt": null,  "createdBy": null,  "updatedAt": null,  "updatedBy": null}

Delete a group

DELETE
/api/group/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the group.

Request Body

application/json
  1. body
ids?array<unknown>

The ids of the Items, as an array.

Response Body

The answer.

application/json
  1. response

The id.

curl -X DELETE "https://platform.example.com/api/group/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "ids": []}'
"string"

Change a group

PUT
/api/group/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the group.

Request Body

application/json
  1. body
[key: string]?any

Response Body

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/group/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{}'
"string"
GET
/api/group/{id}/members

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the group.

Response Body

The answer.

curl -X GET "https://platform.example.com/api/group/$ID/members" \  -H "Authorization: Bearer $TOKEN"
Empty